# eric4.Graphics.ApplicationDiagram

Module implementing a dialog showing an imports diagram of the application.

### Global Attributes

None

### Classes

ApplicationDiagram | Class implementing a dialog showing an imports diagram of the application.

### Functions

None

## ApplicationDiagram

Class implementing a dialog showing an imports diagram of the application.

### Derived from

UMLDialog

### Class Attributes

None

### Class Methods

None

### Methods

ApplicationDiagram | Constructor
__addPackage | Private method to add a package to the diagram.
__buildModulesDict | Private method to build a dictionary of modules contained in the application.
__buildPackages | Private method to build the packages shapes of the diagram.
__createAssociations | Private method to generate the associations between the package shapes.
relayout | Method to relayout the diagram.
show | Overriden method to show the dialog.

### Static Methods

None

#### ApplicationDiagram (Constructor)

ApplicationDiagram(project, parent = None, name = None, noModules = False)

Constructor

project
  reference to the project object
parent
  parent widget of the view (QWidget)
name
  name of the view widget (QString or string)
noModules=
  flag indicating, that no module names should be shown (boolean)

#### ApplicationDiagram.__addPackage

__addPackage(name, modules, x, y)

Private method to add a package to the diagram.

name
  package name to be shown (string)
modules
  list of module names contained in the package (list of strings)
x
  x-coordinate (float)
y
  y-coordinate (float)

#### ApplicationDiagram.__buildModulesDict

__buildModulesDict()

Private method to build a dictionary of modules contained in the application.

Returns:
  dictionary of modules contained in the application.

#### ApplicationDiagram.__buildPackages

__buildPackages()

Private method to build the packages shapes of the diagram.

#### ApplicationDiagram.__createAssociations

__createAssociations(shapes)

Private method to generate the associations between the package shapes.

shapes
  list of shapes

#### ApplicationDiagram.relayout

relayout()

Method to relayout the diagram.

#### ApplicationDiagram.show

show()

Overriden method to show the dialog.

Up